MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027880Open CASCADE[OCCT] OCCT:Samplespublic2016-09-19 11:442017-01-13 16:10
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027880: Samples - fix handling of Unicode paths within MFC import/export sample
DescriptionMFC samples should be corrected to properly handle Unicode file names.
Steps To Reproduce- Copy some sample files into folder/path containing Unicode symbols (e.g. "Assorty unmöglich путь français")
- Start MFC sample.
- Try importing files from path containing Unicode symbols.
- Try exporting model to path containing Unicode symbols.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027838closedkgv Open CASCADE Foundation Classes - support wchar_t* input within TCollection_AsciiString and TCollection_ExtendedString 
related to 0028353closedapn Community Samples - IESample cannot write files to paths with special characters 
child of 0022484closedbugmaster Open CASCADE UNICODE characters support. 

-  Notes
(0057904)
git (administrator)
2016-09-19 11:46

Branch CR27880 has been created by kgv.

SHA-1: ca6a6c8658ad56eaaa41ee1a354ba18f7c490664


Detailed log of new commits:

Author: kgv
Date: Mon Sep 19 11:46:27 2016 +0300

    0027880: Samples - fix handling of Unicode paths within MFC import/export sample
(0057905)
kgv (developer)
2016-09-19 11:47

Please test the patch (only MFC samples should be checked).
(0057941)
bugmaster (administrator)
2016-09-20 12:22

The shape Export\Import for iges, step, stl, wrml is OK for/to patch contained Unicode symbols
(0059524)
git (administrator)
2016-10-28 21:45

Branch CR27880 has been deleted by kgv.

SHA-1: ca6a6c8658ad56eaaa41ee1a354ba18f7c490664

- Related Changesets
occt: master e620e285
Timestamp: 2016-09-19 08:46:27
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027880: Samples - fix handling of Unicode paths within MFC import/export sample
mod - samples/mfc/standard/02_Modeling/src/ModelingDoc.cpp Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/Viewer2dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/TexturesExt_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/ImportExportApp.cpp Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OcafDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/DimensionDlg.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ImportExport/ImportExport.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_BaseDoc.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-19 11:44 kgv New Issue
2016-09-19 11:44 kgv Assigned To => bugmaster
2016-09-19 11:46 git Note Added: 0057904
2016-09-19 11:47 kgv Note Added: 0057905
2016-09-19 11:47 kgv Severity minor => trivial
2016-09-19 11:47 kgv Status new => resolved
2016-09-19 11:47 kgv Status resolved => reviewed
2016-09-19 11:47 kgv Relationship added related to 0027838
2016-09-19 11:48 kgv Relationship added child of 0022484
2016-09-19 11:48 kgv Product Version 7.0.0 => 6.8.0
2016-09-19 11:49 kgv Relationship added related to 0027843
2016-09-19 11:49 kgv Relationship added related to 0027779
2016-09-20 12:22 bugmaster Note Added: 0057941
2016-09-20 12:22 bugmaster Status reviewed => tested
2016-09-21 11:24 bugmaster Test case number => Not needed
2016-09-23 10:21 bugmaster Changeset attached => occt master e620e285
2016-09-23 10:21 bugmaster Status tested => verified
2016-09-23 10:21 bugmaster Resolution open => fixed
2016-10-28 21:45 git Note Added: 0059524
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0
2017-01-13 16:10 kgv Relationship added related to 0028353


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker